Create Expected Switch
Create an Expected Switch to pre-register network switches expected to be discovered at a Site.
Org must have an Infrastructure Provider entity. User must have FORGE_PROVIDER_ADMIN role.
Alternatively, Tenant Admins with TargetedInstanceCreation capability can also create Expected Switches if they have an account with the Site’s Infrastructure Provider.
Authentication
AuthorizationBearer
```
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current
```
Path parameters
org
Request
Expected Switch creation request
siteId
ID of the site the Expected Switch belongs to
bmcMacAddress
MAC address of the Expected Switch’s BMC (Baseboard Management Controller)
switchSerialNumber
Serial number of the Expected Switch
defaultBmcUsername
Username for accessing the Expected Switch's BMC
defaultBmcPassword
Password for accessing the Expected Switch's BMC
nvOsUsername
NvOS username for the Expected Switch
nvOsPassword
NvOS password for the Expected Switch
rackId
Optional rack identifier for this component
name
Display name for this component
manufacturer
Manufacturer of this component
model
Model of this component
description
Description of this component
firmwareVersion
Firmware version of this component
slotId
Slot ID within the rack
trayIdx
Tray index within the rack
hostId
Host ID within the tray
labels
User-defined key-value pairs for organizing and categorizing Expected Switches
Response
Created
id
Unique identifier for the Expected Switch
siteId
ID of the site the Expected Switch belongs to
bmcMacAddress
MAC address of the Expected Switch’s BMC (Baseboard Management Controller)
switchSerialNumber
Serial number of the Expected Switch
rackId
Optional rack identifier for this component
name
Display name for this component
manufacturer
Manufacturer of this component
model
Model of this component
description
Description of this component
firmwareVersion
Firmware version of this component
slotId
Slot ID within the rack
trayIdx
Tray index within the rack
hostId
Host ID within the tray
labels
User-defined key-value pairs for organizing and categorizing Expected Switches
created
ISO 8601 datetime when the Expected Switch was created
updated
ISO 8601 datetime when the Expected Switch was last updated
Errors
400
Bad Request Error
403
Forbidden Error